<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myHeaderBBMLabel" jhiTranslate="mpmApp.headerBBM.home.createOrEditLabel">Create or edit a Header BBM</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!headerBBM.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="headerBBM.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.no_bbm" for="field_no_bbm">No Bbm</label>
            <input type="text" class="form-control" name="no_bbm" id="field_no_bbm"
                [(ngModel)]="headerBBM.no_bbm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.tgl_bbm" for="field_tgl_bbm">Tgl Bbm</label>
            <div class="d-flex">
                <input id="field_tgl_bbm" type="datetime-local" class="form-control" name="tgl_bbm" [(ngModel)]="headerBBM.tgl_bbm"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.kd_supplier" for="field_kd_supplier">Kd Supplier</label>
            <input type="text" class="form-control" name="kd_supplier" id="field_kd_supplier"
                [(ngModel)]="headerBBM.kd_supplier"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.no_sj_supplier" for="field_no_sj_supplier">No Sj Supplier</label>
            <input type="text" class="form-control" name="no_sj_supplier" id="field_no_sj_supplier"
                [(ngModel)]="headerBBM.no_sj_supplier"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.tgl_sj_supplier" for="field_tgl_sj_supplier">Tgl Sj Supplier</label>
            <div class="d-flex">
                <input id="field_tgl_sj_supplier" type="datetime-local" class="form-control" name="tgl_sj_supplier" [(ngModel)]="headerBBM.tgl_sj_supplier"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.iduser" for="field_iduser">Iduser</label>
            <input type="text" class="form-control" name="iduser" id="field_iduser"
                [(ngModel)]="headerBBM.iduser"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.tgl_input" for="field_tgl_input">Tgl Input</label>
            <div class="d-flex">
                <input id="field_tgl_input" type="datetime-local" class="form-control" name="tgl_input" [(ngModel)]="headerBBM.tgl_input"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerBBM.jam_input" for="field_jam_input">Jam Input</label>
            <div class="d-flex">
                <input id="field_jam_input" type="datetime-local" class="form-control" name="jam_input" [(ngModel)]="headerBBM.jam_input"
                  />
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
